//
// <PW-Id>
//

///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright 2018-2020 by Pierre Wolfers Meylan France                       //
//                                                                           //
// This library is free software. Distribution and use rights are outlined   //
// in the file "COPYING" which should have been included with this file.     //
// If this file is missing or damaged, see the license at:                   //
//                                                                           //
//    <To be define when ready>                                              //
//                                                                           //
//   This license described in this file overrides all other licenses that   //
//   might be specified in other files for this library.                     //
//                                                                           //
//   This library is free software; you can redistribute it  and/or modify   //
//   it under the terms of the GNU Lesser General Public License as publi-   //
//   shed by  the  Free Software  Foundation;  either  version 2.1  of the   //
//   License, or (at your option) any later version.                         //
//                                                                           //
//   This library  is  distributed in  the  hope that  it will  be useful,   //
//   but   WITHOUT  ANY  WARRANTY;  without even  the  implied warranty of   //
//   MERCHANTABILITY  or  FITNESS  FOR A  PARTICULAR PURPOSE.  See the GNU   //
//   Library General Public License for more details.                        //
//                                                                           //
//   You should have  received  a copy of  the  GNU Lesser General  Public   //
//   License  along with this library  (see COPYING.LIB); if not, write to   //
//   the Free Software Foundation :                                          //
//                        Inc., 675 Mass Ave, Cambridge, MA 02139, USA.      //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



//
// P.Wolfers Software
//

//
// DiaViewer Volume Manager Environment.
//



#ifndef DIAVIEWER_V_MN_H
#define DIAVIEWER_V_MN_H

#include "DiaViewer_DIA.h"




#ifdef _DIAVIEWER_V_UI_ENV_


#include "DiaViewer_V_UI.h"


void VolMan_DefQuit();

void VolMan_PathCheck( const char * );
void VolMan_PathBrow();
void VolMan_VName( const char *, Fl_Text_Buffer *, Fl_Input * );
void VolMan_DefSet();

void VolMan_VList();

void VolMan_VolSel();
void VolMan_RenQuit();

void VolMan_RenSet();


#else


void VolMN_StartDef();
void VolMN_Define();
void VolMN_Remove();
void VolMN_Rename( VolRef * = NULL );

VolRef   * VolMN_Ref( const char *, VolMnf_t );

#endif

#endif

//
// end of <PW-Id>.
//
